Subject: bug#10056: 24.0.91; Mark deactivation

From: Stefan Monnier <[email-masked]>
Date: Fri, 25 Jan 2013 14:01:15 -0500

I agree with the idea that those commands should be thought of as
"consuming" the region, so they should deactivate the mark even if the
buffer is not modified.

> [2] According to Chong, in this case perhaps the mark deactivation
> should be made only when the call is interactive.

Right, obviously when called non-interactively, they should take
BEG..END arguments, and these are not necessarily related to the region,
so they should deactivate the mark if they indeed used it to figure out
the BEG..END, i.e. when called interactively.

        Stefan